Skip to main content
GET
List Validation Rule Assignments

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

validationRuleId
string
required

Unique validation rule ID.

Example:

"val_TU4de3EP4dlL"

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
order
enum<string>

This is a property that controls the sorting direction of the results. Sort the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at

Response

200 - application/json

Returns a dictionary of validation rule assignments. If the validation rule ID provided in the path parameter cannot be found, the endpoint will return an empty data array and a total of 0.

Response body for GET v1/validation-rules-assignments and GET v1/validation-rules/{validationRuleId}/assignments.

object
string
default:list
required

The type of the object represented by JSON. This object stores information about validation rule assignments.

data_ref
string
default:data
required

Identifies the name of the JSON property that contains the array of validation rule assignments.

data
Validation Rule Assignment · object[]
required

A dictionary that contains an array of validation rule assignments.

total
integer
required

Total number of validation rule assignments.

Last modified on July 7, 2026